/* 
 * Copyright (c) 1993-2010 LAAS/CNRS
 * All rights reserved.
 *
 * Redistribution and use  in source  and binary  forms,  with or without
 * modification, are permitted provided that the following conditions are
 * met:
 *
 *   1. Redistributions of  source  code must retain the  above copyright
 *      notice, this list of conditions and the following disclaimer.
 *   2. Redistributions in binary form must reproduce the above copyright
 *      notice,  this list of  conditions and the following disclaimer in
 *      the  documentation  and/or  other   materials provided  with  the
 *      distribution.
 *
 * THIS  SOFTWARE IS PROVIDED BY  THE  COPYRIGHT HOLDERS AND CONTRIBUTORS
 * "AS IS" AND  ANY  EXPRESS OR IMPLIED  WARRANTIES,  INCLUDING,  BUT NOT
 * LIMITED TO, THE IMPLIED WARRANTIES  OF MERCHANTABILITY AND FITNESS FOR
 * A PARTICULAR  PURPOSE ARE DISCLAIMED. IN  NO EVENT SHALL THE COPYRIGHT
 * HOLDERS OR      CONTRIBUTORS  BE LIABLE FOR   ANY    DIRECT, INDIRECT,
 * INCIDENTAL,  SPECIAL,  EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING,
 * BUT NOT LIMITED TO, PROCUREMENT OF  SUBSTITUTE GOODS OR SERVICES; LOSS
 * OF USE, DATA, OR PROFITS; OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND
 * ON ANY THEORY OF LIABILITY, WHETHER IN  CONTRACT, STRICT LIABILITY, OR
 * TORT (INCLUDING NEGLIGENCE OR OTHERWISE) ARISING IN ANY WAY OUT OF THE
 * USE   OF THIS SOFTWARE, EVEN   IF ADVISED OF   THE POSSIBILITY OF SUCH
 * DAMAGE.
 */

/*------------------  Fichier gnr automatiquement ------------------*/
/*------------------  Ne pas diter manuellement !!! ------------------*/

#ifndef POM_PRINT_H
#define POM_PRINT_H


/* Structures definies par d'autres modules */


#include "server/pomPosterLib.h"

/* Prototypes */
#ifdef __cplusplus
extern "C" {
#endif
void buf_add_struct_POM_FRAMEPOS_POSTER_STR ( buf_t buf, struct POM_FRAMEPOS_POSTER_STR *x, int nDim, int *dims);
void buf_add_struct_POM_POS_POSTER_STR ( buf_t buf, struct POM_POS_POSTER_STR *x, int nDim, int *dims);
void buf_add_struct_PomIDS ( buf_t buf, struct PomIDS *x, int nDim, int *dims);
void buf_add_struct_POM_OBJECT_POS ( buf_t buf, struct POM_OBJECT_POS *x, int nDim, int *dims);
void buf_add_struct_POM_POS ( buf_t buf, struct POM_POS *x, int nDim, int *dims);
void buf_add_struct_POM_EULER_POS ( buf_t buf, struct POM_EULER_POS *x, int nDim, int *dims);
void buf_add_struct_POM_ME_POS ( buf_t buf, struct POM_ME_POS *x, int nDim, int *dims);
void buf_add_enum_POM_ME_CLASS ( buf_t buf, enum POM_ME_CLASS *x, int nDim, int *dims);
void buf_add_struct_POM_SE_POSTER ( buf_t buf, struct POM_SE_POSTER *x, int nDim, int *dims);
void buf_add_struct_POM_SENSOR_POS ( buf_t buf, struct POM_SENSOR_POS *x, int nDim, int *dims);
void buf_add_struct_POM_UNC ( buf_t buf, struct POM_UNC *x, int nDim, int *dims);
void buf_add_struct_POM_EULER_V ( buf_t buf, struct POM_EULER_V *x, int nDim, int *dims);
void buf_add_struct_POM_EULER_VARIANCES ( buf_t buf, struct POM_EULER_VARIANCES *x, int nDim, int *dims);
void buf_add_struct_POM_EULER ( buf_t buf, struct POM_EULER *x, int nDim, int *dims);
void buf_add_enum_POM_FUSION_METHOD ( buf_t buf, enum POM_FUSION_METHOD *x, int nDim, int *dims);
void buf_add_struct_POM_SET_POS ( buf_t buf, struct POM_SET_POS *x, int nDim, int *dims);
void buf_add_struct_POM_SE_CREATE_DATA ( buf_t buf, struct POM_SE_CREATE_DATA *x, int nDim, int *dims);
void buf_add_struct_POM_ME_CREATE_DATA ( buf_t buf, struct POM_ME_CREATE_DATA *x, int nDim, int *dims);
void buf_add_enum_POM_FUSION_FLAG ( buf_t buf, enum POM_FUSION_FLAG *x, int nDim, int *dims);
void buf_add_struct_POM_STRING_2 ( buf_t buf, struct POM_STRING_2 *x, int nDim, int *dims);
void buf_add_struct_POM_STRING ( buf_t buf, struct POM_STRING *x, int nDim, int *dims);
void buf_add_enum_POM_ACTION ( buf_t buf, enum POM_ACTION *x, int nDim, int *dims);
void buf_add_enum_POM_FRAME ( buf_t buf, enum POM_FRAME *x, int nDim, int *dims);

/* ======================== PRINT DES TYPEDEF ============================= */

void buf_add_POM_FRAME ( buf_t buf, POM_FRAME *x, int nDim, int *dims);
void buf_add_POM_ACTION ( buf_t buf, POM_ACTION *x, int nDim, int *dims);
void buf_add_POM_STRING ( buf_t buf, POM_STRING *x, int nDim, int *dims);
void buf_add_POM_STRING_2 ( buf_t buf, POM_STRING_2 *x, int nDim, int *dims);
void buf_add_POM_FUSION_FLAG ( buf_t buf, POM_FUSION_FLAG *x, int nDim, int *dims);
void buf_add_POM_ME_CREATE_DATA ( buf_t buf, POM_ME_CREATE_DATA *x, int nDim, int *dims);
void buf_add_POM_SE_CREATE_DATA ( buf_t buf, POM_SE_CREATE_DATA *x, int nDim, int *dims);
void buf_add_POM_SET_POS ( buf_t buf, POM_SET_POS *x, int nDim, int *dims);
void buf_add_POM_FUSION_METHOD ( buf_t buf, POM_FUSION_METHOD *x, int nDim, int *dims);
void buf_add_POM_EULER ( buf_t buf, POM_EULER *x, int nDim, int *dims);
void buf_add_POM_EULER_VARIANCES ( buf_t buf, POM_EULER_VARIANCES *x, int nDim, int *dims);
void buf_add_POM_EULER_V ( buf_t buf, POM_EULER_V *x, int nDim, int *dims);
void buf_add_POM_UNC ( buf_t buf, POM_UNC *x, int nDim, int *dims);
void buf_add_POM_SENSOR_POS ( buf_t buf, POM_SENSOR_POS *x, int nDim, int *dims);
void buf_add_POM_SE_POSTER ( buf_t buf, POM_SE_POSTER *x, int nDim, int *dims);
void buf_add_POM_ME_CLASS ( buf_t buf, POM_ME_CLASS *x, int nDim, int *dims);
void buf_add_POM_ME_POS ( buf_t buf, POM_ME_POS *x, int nDim, int *dims);
void buf_add_POM_EULER_POS ( buf_t buf, POM_EULER_POS *x, int nDim, int *dims);
void buf_add_POM_POS ( buf_t buf, POM_POS *x, int nDim, int *dims);
void buf_add_POM_OBJECT_POS ( buf_t buf, POM_OBJECT_POS *x, int nDim, int *dims);
void buf_add_PomIDS ( buf_t buf, PomIDS *x, int nDim, int *dims);
void buf_add_POM_POS_POSTER_STR ( buf_t buf, POM_POS_POSTER_STR *x, int nDim, int *dims);
void buf_add_POM_FRAMEPOS_POSTER_STR ( buf_t buf, POM_FRAMEPOS_POSTER_STR *x, int nDim, int *dims);
#ifdef __cplusplus
}
#endif

#endif /* POM_TCLSERV_CLIENT_ENCODE_H */

